[arch-commits] CVS update of extra/lib/cfitsio (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Fri Dec 7 06:43:22 EST 2007


    Date: Friday, December 7, 2007 @ 06:43:22
  Author: tpowa
    Path: /home/cvs-extra/extra/lib/cfitsio

   Added: PKGBUILD (1.1)

'newpkg: will be a depend for kde4'


----------+
 PKGBUILD |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)


Index: extra/lib/cfitsio/PKGBUILD
diff -u /dev/null extra/lib/cfitsio/PKGBUILD:1.1
--- /dev/null	Fri Dec  7 06:43:22 2007
+++ extra/lib/cfitsio/PKGBUILD	Fri Dec  7 06:43:22 2007
@@ -0,0 +1,24 @@
+# $Id: PKGBUILD,v 1.1 2007/12/07 11:43:22 tpowa Exp $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=cfitsio
+pkgver=3060
+pkgrel=1
+pkgdesc="CFITSIO is a library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format."
+url="http://heasarc.gsfc.nasa.gov/docs/software/fitsio/fitsio.html"
+license=('GPL2')
+arch=('i686' 'x86_64')
+depends=()
+makedepends=('pkgconfig' 'gcc-fortran')
+source=(ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/$pkgname$pkgver.tar.gz)
+options=(!libtool)
+
+build() {
+        cd $startdir/src/$pkgname
+         ./configure --prefix=/usr
+        make || return 1
+	#fix Makefile for install dir
+	sed -i -e "s#/usr#$startdir/pkg/usr#g" Makefile
+	mkdir -p $startdir/pkg/usr/lib/pkgconfig
+        make install
+}




More information about the arch-commits mailing list